org.bouncycastle.mail.smime

## Class CMSProcessableBodyPart

- java.lang.Object
- - org.bouncycastle.mail.smime.CMSProcessableBodyPart

All Implemented Interfaces:
  CMSProcessable

    public class CMSProcessableBodyPart
    extends java.lang.Object
    implements CMSProcessable

a holding class for a BodyPart to be processed.

### Constructor Summary

Constructors
Constructor and Description
`CMSProcessableBodyPart(BodyPart bodyPart)`

### Method Summary

Methods
`java.lang.Object` `getContent()`
`void` `write(java.io.OutputStream out)` generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSProcessableBodyPart

    public CMSProcessableBodyPart(BodyPart bodyPart)

### Method Detail

#### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException,
                      CMSException

Description copied from interface: `CMSProcessable`
generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

Note: this routine may be called multiple times.

Specified by:
  `write` in interface `CMSProcessable`
Throws:
  `java.io.IOException`
  `CMSException`

#### getContent

    public java.lang.Object getContent()

Specified by:
  `getContent` in interface `CMSProcessable`